## org.apache.commons.jelly.tags.core
Class BreakTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.BreakTag

All Implemented Interfaces:
  Tag

    public class BreakTag

extends TagSupport

A tag which terminates the execution of the current <forEach> or ≶while> loop. This tag can take an optional boolean test attribute which if its true then the break occurs otherwise the loop continues processing.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`BreakTag()`

Method Summary
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setTest(Expression test)` Sets the Jelly expression to evaluate (optional).
`void` `setVar(java.lang.String var)` Sets the variable name to export indicating if the item was broken

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BreakTag

    public BreakTag()

Method Detail

### doTag

    public void doTag(XMLOutput output)
               throws BreakException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `BreakException`

### setTest

    public void setTest(Expression test)

  Sets the Jelly expression to evaluate (optional). If this is `null` or evaluates to `true` then the loop is terminated

  Parameters:
    `test` - the Jelly expression to evaluate

### setVar

    public void setVar(java.lang.String var)

  Sets the variable name to export indicating if the item was broken

  Parameters:
    `var` - name of the variable to be exported

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.